#include <bits/stdc++.h>
#define int long long
using namespace std;
typedef long double ld;

int f(int a,int b){
    if(a==1 && b==1){
        return 1;
    }
    if(a>b){
        swap(a,b);
    }

        int x=f(a,b-1);
        int y=f(a,1);
        return x+y+a*b;

    //return f(a,b/2)+f(a,b/2+1)+a*b;

}

int g(int a,int b){
    if(a==1 && b==1){
        return 1;
    }
    if(a>b){
        swap(a,b);
    }
    return g(a-1,b)+g(1,b)+a*b;
}

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout << fixed << setprecision(10);
    int a,b;
    cin>>a>>b;
    cout<<f(a,b);

}